/*$(document).ready(function () {

CargarEmpresas();
}); */

/*
function CargarEmpresas(){
  debugger
  var datos = new FormData();
  var usuario = "";
  datos.append("GETEmpresas", usuario);



  // SE UTILIZA AJAX PARA CARGAR LA INFO SIN REFRESCAR LA PAGINA
  $.ajax({
    url:"ajax/contactos.ajax.php",
    method: "POST",
    data: datos,
    cache: false,
    contentType: false,
    processData: false,
    dataType: "json",
    success: function(respuesta){

    var draw = '';
     console.log("Respuesta",respuesta);
      //EL AJAX REGRESA LOS REGISTROS ENCONTRADOS SEGUN EL ID QUE SE LE MANDO

      $("#EditarEmpresa").val(respuesta["emp_nombre"]);

  /*    var json = JSON.parse(respuesta.d);

      draw += "<option value='0'>Selecciona una Opcion </option>"
      for (var i = 0; i < json.length; i++) {

          draw += '<option values='json[i]["emp_nombre"]'>';
          draw += json[i].emp_nombre;
          draw += '</option>';
      }

*//*    var id_empresas = respuesta["id_empresa"]
      draw += '<option value='id_empresas'>';
      draw += respuesta["emp_nombre"];
      draw += "</option>";
      $('#GetEmpresas').html(draw);

    }

  });
} */


/*=============================================
  EDITAR USUARIO
=============================================*/
$(document).on("click", ".btnEditarContacto", function(){
	var idContacto = $(this).attr("idContacto");
	var datos = new FormData();
	datos.append("idContacto", idContacto);
  // SE UTILIZA AJAX PARA CARGAR LA INFO SIN REFRESCAR LA PAGINA
	$.ajax({
		url:"ajax/contacto.ajax.php",
		method: "POST",
		data: datos,
		cache: false,
		contentType: false,
		processData: false,
		dataType: "json",
		success: function(respuesta){
      //console.log("Respuesta",respuesta);
			//EL AJAX REGRESA LOS REGISTROS ENCONTRADOS SEGUN EL ID QUE SE LE MANDO
      //Y LOS PASA A LOS VALORES ID EN LAS ETIQUETAS DE la pagina usuarios.pjp
			for (var i = 0; i < respuesta.length; i++) {
			$("#editarContacto").val(respuesta[i]["cont_nombre"]);
			$("#editarTelefono").val(respuesta[i]["cont_telefono"]); // Como el Rol esta en un Select, se usa el elemento html para que se muestre
      $("#editarCelular").val(respuesta[i]["cont_celular"]);// Aparte se le envia también el campo del rol al atributp Val para que se mantenga en el ID
			$("#editarCorreo").val(respuesta[i]["cont_correo"]);
			$("#editarDepartamento").val(respuesta[i]["cont_departamento"]);
    	$("#editarPuesto").val(respuesta[i]["cont_puesto"]);
    	$("#editarContactoEmpresa").val(respuesta[i]["id_empresa"]);
    	$("#idCont").val(idContacto);
		}
	//	if(respuesta["us_foto"] != ""){ _idContacto
        // Si el campo us_foto no esta vacio

        //La clase previsualizar se reemplaza con la foto en la base de datos
		//		$(".previsualizar").attr("src", respuesta["us_foto"]);// Se pasa la ruta de la foto al atributo 'src'

		//	}

		}

	});

});

/*=============================================
ELIMINAR USUARIO
=============================================*/
$(document).on("click", ".btnEliminarContacto", function(){

  var idContacto = $(this).attr("idContacto");


  swal({
    title: '¿Está seguro de borrar a el contacto?',
    text: "¡Usted puede cancelar la orden!",
    type: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    cancelButtonText: 'Cancelar',
    confirmButtonText: 'Si, borrar el contacto!'
  }).then(function(result){

    if(result.value){

      window.location = "index.php?ruta=contactos&idContacto="+idContacto;

    }

  })

})
